package com.chelvc.cloud.vehicle.server.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chelvc.cloud.vehicle.server.dao.PromotionGoodsMapper;
import com.chelvc.cloud.vehicle.server.entity.PromotionGoods;
import com.chelvc.cloud.vehicle.server.service.PromotionGoodsService;
import lombok.RequiredArgsConstructor;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * 促销商品业务操作实现
 *
 * @author qizai
 * @date 2023/11/13
 */
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
@DubboService(interfaceClass = com.chelvc.cloud.vehicle.api.service.PromotionGoodsService.class)
public class PromotionGoodsServiceImpl extends ServiceImpl<PromotionGoodsMapper, PromotionGoods> implements PromotionGoodsService,
        com.chelvc.cloud.vehicle.api.service.PromotionGoodsService {

    @Override
    public void deletePromotionGoods(List<Long> promotionIds) {
        this.removeByIds(promotionIds);
    }
}
